rte_eal_memconfig.h(3)

NAME
rte_eal_memconfig.h

SYNOPSIS

#include <stdbool.h>
#include <rte_rwlock.h>
#include <rte_spinlock.h>

  Functions

__rte_internal rte_rwlock_t * rte_mcfg_mem_get_lock (void)
void rte_mcfg_mem_read_lock (void)
void rte_mcfg_mem_read_unlock (void)
void rte_mcfg_mem_write_lock (void)
void rte_mcfg_mem_write_unlock (void)
void rte_mcfg_tailq_read_lock (void)
void rte_mcfg_tailq_read_unlock (void)
void rte_mcfg_tailq_write_lock (void)
void rte_mcfg_tailq_write_unlock (void)
void rte_mcfg_mempool_read_lock (void)
void rte_mcfg_mempool_read_unlock (void)
void rte_mcfg_mempool_write_lock (void)
void rte_mcfg_mempool_write_unlock (void)
void rte_mcfg_timer_lock (void)
void rte_mcfg_timer_unlock (void)
bool rte_mcfg_get_single_file_segments (void)

Detailed Description

This API allows access to EAL shared memory configuration through an API.

Definition in file rte_eal_memconfig.h.

Function Documentation

  __rte_internal rte_rwlock_t * rte_mcfg_mem_get_lock (void )
Internal helpers used for lock annotations.

  void rte_mcfg_mem_read_lock (void )
Lock the internal EAL shared memory configuration for shared access.

  void rte_mcfg_mem_read_unlock (void )
Unlock the internal EAL shared memory configuration for shared access.

  void rte_mcfg_mem_write_lock (void )
Lock the internal EAL shared memory configuration for exclusive access.

  void rte_mcfg_mem_write_unlock (void )
Unlock the internal EAL shared memory configuration for exclusive access.

  void rte_mcfg_tailq_read_lock (void )
Lock the internal EAL TAILQ list for shared access.

  void rte_mcfg_tailq_read_unlock (void )
Unlock the internal EAL TAILQ list for shared access.

  void rte_mcfg_tailq_write_lock (void )
Lock the internal EAL TAILQ list for exclusive access.

  void rte_mcfg_tailq_write_unlock (void )
Unlock the internal EAL TAILQ list for exclusive access.

  void rte_mcfg_mempool_read_lock (void )
Lock the internal EAL Mempool list for shared access.

  void rte_mcfg_mempool_read_unlock (void )
Unlock the internal EAL Mempool list for shared access.

  void rte_mcfg_mempool_write_lock (void )
Lock the internal EAL Mempool list for exclusive access.

  void rte_mcfg_mempool_write_unlock (void )
Unlock the internal EAL Mempool list for exclusive access.

  void rte_mcfg_timer_lock (void )
Lock the internal EAL Timer Library lock for exclusive access.

  void rte_mcfg_timer_unlock (void )
Unlock the internal EAL Timer Library lock for exclusive access.

  bool rte_mcfg_get_single_file_segments (void )
If true, pages are put in single files (per memseg list), as opposed to creating a file per page.

Author

Generated automatically by Doxygen for DPDK from the source code.